<?php
/**
 * Theme Demos
 *
 * @package Swyft
 */

/**
 * Register Demos of Theme
 */
function csco_demos_list() {

	$demos = array(
		'lifestyle' => array(
			'name'      => esc_html__( 'Lifestyle', 'swyft' ),
			'preview'   => 'https://swyft.codesupply.co/lifestyle/',
			'thumbnail' => get_template_directory_uri() . '/import/lifestyle-thumbnail.jpg',
			'import'    => array(
				'customizer' => 'https://cloud.codesupply.co/import/swyft/lifestyle-customizer.dat',
				'widgets'    => 'https://cloud.codesupply.co/import/swyft/widgets.wie',
				'content'    => array(
					array(
						'label' => esc_html__( 'Demo Content', 'swyft' ),
						'url'   => 'https://cloud.codesupply.co/import/swyft/content.xml',
						'desc'  => esc_html__( 'Enabling this option will import demo posts, categories, and secondary pages. It\'s recommended to disable this option for existing', 'swyft' ),
					),
				),
			),
		),
		'marketing' => array(
			'name'      => esc_html__( 'Marketing', 'swyft' ),
			'preview'   => 'https://swyft.codesupply.co/marketing/',
			'thumbnail' => get_template_directory_uri() . '/import/marketing-thumbnail.jpg',
			'import'    => array(
				'customizer' => 'https://cloud.codesupply.co/import/swyft/marketing-customizer.dat',
				'widgets'    => 'https://cloud.codesupply.co/import/swyft/widgets.wie',
				'content'    => array(
					array(
						'label' => esc_html__( 'Demo Content', 'swyft' ),
						'url'   => 'https://cloud.codesupply.co/import/swyft/content.xml',
						'desc'  => esc_html__( 'Enabling this option will import demo posts, categories, and secondary pages. It\'s recommended to disable this option for existing', 'swyft' ),
					),
				),
			),
		),
		'gadgets'   => array(
			'name'      => esc_html__( 'Gadgets', 'swyft' ),
			'preview'   => 'https://swyft.codesupply.co/gadgets/',
			'thumbnail' => get_template_directory_uri() . '/import/gadgets-thumbnail.jpg',
			'import'    => array(
				'customizer' => 'https://cloud.codesupply.co/import/swyft/gadgets-customizer.dat',
				'widgets'    => 'https://cloud.codesupply.co/import/swyft/widgets.wie',
				'content'    => array(
					array(
						'label' => esc_html__( 'Demo Content', 'swyft' ),
						'url'   => 'https://cloud.codesupply.co/import/swyft/content.xml',
						'desc'  => esc_html__( 'Enabling this option will import demo posts, categories, and secondary pages. It\'s recommended to disable this option for existing', 'swyft' ),
					),
				),
			),
		),
		'journal'   => array(
			'name'      => esc_html__( 'Journal', 'swyft' ),
			'preview'   => 'https://swyft.codesupply.co/journal/',
			'thumbnail' => get_template_directory_uri() . '/import/journal-thumbnail.jpg',
			'import'    => array(
				'customizer' => 'https://cloud.codesupply.co/import/swyft/journal-customizer.dat',
				'widgets'    => 'https://cloud.codesupply.co/import/swyft/widgets.wie',
				'content'    => array(
					array(
						'label' => esc_html__( 'Demo Content', 'swyft' ),
						'url'   => 'https://cloud.codesupply.co/import/swyft/content.xml',
						'desc'  => esc_html__( 'Enabling this option will import demo posts, categories, and secondary pages. It\'s recommended to disable this option for existing', 'swyft' ),
					),
				),
			),
		),
		'startups'  => array(
			'name'      => esc_html__( 'Ststartupsups', 'swyft' ),
			'preview'   => 'https://swyft.codesupply.co/startups/',
			'thumbnail' => get_template_directory_uri() . '/import/startups-thumbnail.jpg',
			'import'    => array(
				'customizer' => 'https://cloud.codesupply.co/import/swyft/startups-customizer.dat',
				'widgets'    => 'https://cloud.codesupply.co/import/swyft/widgets.wie',
				'content'    => array(
					array(
						'label' => esc_html__( 'Demo Content', 'swyft' ),
						'url'   => 'https://cloud.codesupply.co/import/swyft/content.xml',
						'desc'  => esc_html__( 'Enabling this option will import demo posts, categories, and secondary pages. It\'s recommended to disable this option for existing', 'swyft' ),
					),
				),
			),
		),
		'devs'      => array(
			'name'      => esc_html__( 'Devs', 'swyft' ),
			'preview'   => 'https://swyft.codesupply.co/devs/',
			'thumbnail' => get_template_directory_uri() . '/import/devs-thumbnail.jpg',
			'import'    => array(
				'customizer' => 'https://cloud.codesupply.co/import/swyft/devs-customizer.dat',
				'widgets'    => 'https://cloud.codesupply.co/import/swyft/widgets.wie',
				'content'    => array(
					array(
						'label' => esc_html__( 'Demo Content', 'swyft' ),
						'url'   => 'https://cloud.codesupply.co/import/swyft/content.xml',
						'desc'  => esc_html__( 'Enabling this option will import demo posts, categories, and secondary pages. It\'s recommended to disable this option for existing', 'swyft' ),
					),
				),
			),
		),
	);

	return $demos;
}
add_filter( 'csco_register_demos_list', 'csco_demos_list' );

/**
 * Finish Import
 */
function csco_hook_finish_import() {

	/* Set menu locations. */
	$nav_menu_locations = array();

	$main_menu = get_term_by( 'name', 'Primary', 'nav_menu' );
	if ( $main_menu ) {
		$nav_menu_locations['primary'] = $main_menu->term_id;
		$nav_menu_locations['mobile']  = $main_menu->term_id;
	}

	$secondary_menu = get_term_by( 'name', 'Secondary', 'nav_menu' );
	if ( $secondary_menu ) {
		$nav_menu_locations['secondary'] = $secondary_menu->term_id;
	}

	$footer_menu = get_term_by( 'name', 'Footer', 'nav_menu' );
	if ( $footer_menu ) {
		$nav_menu_locations['footer'] = $footer_menu->term_id;
	}

	if ( $nav_menu_locations ) {
		set_theme_mod( 'nav_menu_locations', $nav_menu_locations );
	}

	/* Add items to main menu */
	update_option( 'once_finished_import', true );
}
add_action( 'csco_finish_import', 'csco_hook_finish_import' );
