<?php
/**
 * Miscellaneous Settings
 *
 * @package Swyft
 */

CSCO_Customizer::add_section(
	'miscellaneous',
	array(
		'title' => esc_html__( 'Miscellaneous Settings', 'swyft' ),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'checkbox',
		'settings' => 'misc_published_date',
		'label'    => esc_html__( 'Display published date instead of modified date', 'swyft' ),
		'section'  => 'miscellaneous',
		'default'  => false,
	)
);

CSCO_Customizer::add_field(
	array(
		'type'        => 'collapsible',
		'settings'    => 'misc_social_links',
		'label'       => esc_html__( 'Social Links', 'swyft' ),
		'section'     => 'miscellaneous',
		'input_attrs' => array(
			'collapsed' => false,
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'checkbox',
		'settings' => 'misc_social_1',
		'label'    => esc_html__( 'Display Social Link 1', 'swyft' ),
		'section'  => 'miscellaneous',
		'default'  => false,
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'text',
		'settings'        => 'misc_social_1_label',
		'label'           => esc_html__( 'Social 1 Label', 'swyft' ),
		'section'         => 'miscellaneous',
		'default'         => '',
		'active_callback' => array(
			array(
				'setting'  => 'misc_social_1',
				'operator' => '==',
				'value'    => true,
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'text',
		'settings'        => 'misc_social_1_link',
		'label'           => esc_html__( 'Social 1 Link', 'swyft' ),
		'section'         => 'miscellaneous',
		'default'         => '',
		'active_callback' => array(
			array(
				'setting'  => 'misc_social_1',
				'operator' => '==',
				'value'    => true,
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'image',
		'settings'        => 'misc_social_1_icon',
		'label'           => esc_html__( 'Social 1 Icon', 'swyft' ),
		'description'     => esc_html__( 'Please upload the 2x version of your icon via Media Library with ', 'swyft' ) . '<code>@2x</code>' . esc_html__( ' suffix for Retina screens support. For example ', 'swyft' ) . '<code>logo@2x.png</code>' . esc_html__( '. Recommended width and height is 32px (64px for Retina version).', 'swyft' ),
		'section'         => 'miscellaneous',
		'default'         => '',
		'active_callback' => array(
			array(
				'setting'  => 'misc_social_1',
				'operator' => '==',
				'value'    => true,
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'checkbox',
		'settings' => 'misc_social_2',
		'label'    => esc_html__( 'Display Social Link 2', 'swyft' ),
		'section'  => 'miscellaneous',
		'default'  => false,
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'text',
		'settings'        => 'misc_social_2_label',
		'label'           => esc_html__( 'Social 2 Label', 'swyft' ),
		'section'         => 'miscellaneous',
		'default'         => '',
		'active_callback' => array(
			array(
				'setting'  => 'misc_social_2',
				'operator' => '==',
				'value'    => true,
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'text',
		'settings'        => 'misc_social_2_link',
		'label'           => esc_html__( 'Social 2 Link', 'swyft' ),
		'section'         => 'miscellaneous',
		'default'         => '',
		'active_callback' => array(
			array(
				'setting'  => 'misc_social_2',
				'operator' => '==',
				'value'    => true,
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'image',
		'settings'        => 'misc_social_2_icon',
		'label'           => esc_html__( 'Social 2 Icon', 'swyft' ),
		'description'     => esc_html__( 'Please upload the 2x version of your icon via Media Library with ', 'swyft' ) . '<code>@2x</code>' . esc_html__( ' suffix for Retina screens support. For example ', 'swyft' ) . '<code>logo@2x.png</code>' . esc_html__( '. Recommended width and height is 32px (64px for Retina version).', 'swyft' ),
		'section'         => 'miscellaneous',
		'default'         => '',
		'active_callback' => array(
			array(
				'setting'  => 'misc_social_2',
				'operator' => '==',
				'value'    => true,
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'checkbox',
		'settings' => 'misc_social_3',
		'label'    => esc_html__( 'Display Social Link 3', 'swyft' ),
		'section'  => 'miscellaneous',
		'default'  => false,
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'text',
		'settings'        => 'misc_social_3_label',
		'label'           => esc_html__( 'Social 3 Label', 'swyft' ),
		'section'         => 'miscellaneous',
		'default'         => '',
		'active_callback' => array(
			array(
				'setting'  => 'misc_social_3',
				'operator' => '==',
				'value'    => true,
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'text',
		'settings'        => 'misc_social_3_link',
		'label'           => esc_html__( 'Social 3 Link', 'swyft' ),
		'section'         => 'miscellaneous',
		'default'         => '',
		'active_callback' => array(
			array(
				'setting'  => 'misc_social_3',
				'operator' => '==',
				'value'    => true,
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'image',
		'settings'        => 'misc_social_3_icon',
		'label'           => esc_html__( 'Social 3 Icon', 'swyft' ),
		'description'     => esc_html__( 'Please upload the 2x version of your icon via Media Library with ', 'swyft' ) . '<code>@2x</code>' . esc_html__( ' suffix for Retina screens support. For example ', 'swyft' ) . '<code>logo@2x.png</code>' . esc_html__( '. Recommended width and height is 32px (64px for Retina version).', 'swyft' ),
		'section'         => 'miscellaneous',
		'default'         => '',
		'active_callback' => array(
			array(
				'setting'  => 'misc_social_3',
				'operator' => '==',
				'value'    => true,
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'checkbox',
		'settings' => 'misc_social_4',
		'label'    => esc_html__( 'Display Social Link 4', 'swyft' ),
		'section'  => 'miscellaneous',
		'default'  => false,
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'text',
		'settings'        => 'misc_social_4_label',
		'label'           => esc_html__( 'Social 4 Label', 'swyft' ),
		'section'         => 'miscellaneous',
		'default'         => '',
		'active_callback' => array(
			array(
				'setting'  => 'misc_social_4',
				'operator' => '==',
				'value'    => true,
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'text',
		'settings'        => 'misc_social_4_link',
		'label'           => esc_html__( 'Social 4 Link', 'swyft' ),
		'section'         => 'miscellaneous',
		'default'         => '',
		'active_callback' => array(
			array(
				'setting'  => 'misc_social_4',
				'operator' => '==',
				'value'    => true,
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'image',
		'settings'        => 'misc_social_4_icon',
		'label'           => esc_html__( 'Social 4 Icon', 'swyft' ),
		'description'     => esc_html__( 'Please upload the 2x version of your icon via Media Library with ', 'swyft' ) . '<code>@2x</code>' . esc_html__( ' suffix for Retina screens support. For example ', 'swyft' ) . '<code>logo@2x.png</code>' . esc_html__( '. Recommended width and height is 32px (64px for Retina version).', 'swyft' ),
		'section'         => 'miscellaneous',
		'default'         => '',
		'active_callback' => array(
			array(
				'setting'  => 'misc_social_4',
				'operator' => '==',
				'value'    => true,
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'        => 'collapsible',
		'settings'    => 'misc_sticky_sidebar_section',
		'label'       => esc_html__( 'Sticky Sidebar', 'swyft' ),
		'section'     => 'miscellaneous',
		'input_attrs' => array(
			'collapsed' => false,
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'checkbox',
		'settings' => 'misc_sticky_sidebar',
		'label'    => esc_html__( 'Enable Sticky Sidebar', 'swyft' ),
		'section'  => 'miscellaneous',
		'default'  => true,
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'radio',
		'settings'        => 'misc_sticky_sidebar_method',
		'label'           => esc_html__( 'Sticky Method', 'swyft' ),
		'section'         => 'miscellaneous',
		'default'         => 'cs-stick-to-top',
		'choices'         => array(
			'cs-stick-to-top'    => esc_html__( 'Sidebar top edge', 'swyft' ),
			'cs-stick-to-bottom' => esc_html__( 'Sidebar bottom edge', 'swyft' ),
			'cs-stick-last'      => esc_html__( 'Last widget top edge', 'swyft' ),
		),
		'active_callback' => array(
			array(
				'setting'  => 'misc_sticky_sidebar',
				'operator' => '==',
				'value'    => true,
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'        => 'collapsible',
		'settings'    => 'misc_scroll_to_top_section',
		'label'       => esc_html__( 'Scroll to Top', 'swyft' ),
		'section'     => 'miscellaneous',
		'input_attrs' => array(
			'collapsed' => false,
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'checkbox',
		'settings' => 'misc_scroll_to_top',
		'label'    => esc_html__( 'Enable Scroll to Top button', 'swyft' ),
		'section'  => 'miscellaneous',
		'default'  => true,
	)
);
