<?php
/**
 * Template part for displaying timeline layout.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Swyft
 */

// Thumbnail size.
$thumbnail_size  = 'csco-medium';
$thumbnail_class = '';

if ( 'uncropped' === csco_get_page_preview() ) {
	$thumbnail_size  = sprintf( '%s-uncropped', $thumbnail_size );
	$thumbnail_class = 'cs-ratio-original';
}
?>

<article <?php post_class(); ?>>
	<div class="cs-entry__timeline">
		<div class="cs-entry__timeline-date">
			<time class="cs-entry__timeline-date-day" datetime="<?php echo get_the_date( 'd' ); ?>">
				<?php echo get_the_date( 'd' ); ?>
			</time>
			<time class="cs-entry__timeline-date-month" datetime="<?php echo get_the_date( 'M, y' ); ?>">
				<?php echo get_the_date( 'M, y' ); ?>
			</time>
		</div>
		<hr>
	</div>

	<div class="cs-entry__outer">
		<div class="cs-entry__inner cs-entry__content">
			<?php csco_get_post_meta( array( 'author', 'date', 'comments' ), true, $options['meta'] ); ?>

			<?php the_title( '<h2 class="cs-entry__title"><a href="' . esc_url( get_permalink() ) . '"><span>', '</span></a></h2>' ); ?>

			<?php if ( get_theme_mod( 'home_excerpt', false ) ) { ?>
				<div class="cs-entry__excerpt">
					<?php echo esc_attr( get_the_excerpt() ); ?>
				</div>
			<?php } ?>

			<?php csco_get_post_meta( array( 'category' ), true, $options['meta'] ); ?>
		</div>

		<?php if ( has_post_thumbnail() ) { ?>
			<figure class="cs-entry__inner cs-entry__thumbnail <?php echo esc_attr( $thumbnail_class ); ?>">
				<div class="cs-overlay-background">
					<?php the_post_thumbnail( $thumbnail_size ); ?>
				</div>
				<a class="cs-overlay-link" href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo esc_attr( the_title() ); ?>"></a>
			</figure>
		<?php } ?>
	</div>
</article>
