<?php
/**
 * Template part entry header
 *
 * @package Swyft
 */

$header_type = csco_get_page_header_type();

$thumbnail_size = 'csco-large';

if ( 'uncropped' === csco_get_page_preview() ) {
	$thumbnail_size = sprintf( '%s-uncropped', $thumbnail_size );
}

if ( 'title' === $header_type ) {

	$header_class = 'cs-entry__header-title';
	?>

	<div class="cs-entry__header <?php echo esc_attr( $header_class ); ?>">
		<div class="cs-entry__header-inner">
			<?php the_title( '<h1 class="cs-entry__title"><span>', '</span></h1>' ); ?>
		</div>
	</div>

	<?php

} elseif ( 'large_overlay' === $header_type || 'none' === $header_type ) {

	return;

} elseif ( 'standard' === $header_type ) {

	$header_class = 'cs-entry__header-standard';
	?>

	<div class="cs-entry__header <?php echo esc_attr( $header_class ); ?>">
		<?php get_template_part( 'template-parts/entry/entry-header-standard' ); ?>
	</div>

	<?php

} else {

	// Post Meta.
	if ( is_singular( 'post' ) ) {

		global $post;

		setup_postdata( $post );

		csco_get_post_meta( array( 'author', 'date', 'comments' ), true, 'post_meta' );

		wp_reset_postdata();
	}

	// Title.
	the_title( '<h1 class="cs-entry__title"><span>', '</span></h1>' );

	// Subtitle.
	csco_post_subtitle();

}
