<?php
/**
 * Template part entry media large
 *
 * @package Swyft
 */

$header_type = csco_get_page_header_type();

$media_display = has_post_thumbnail();

if ( 'large_overlay' === $header_type ) {
	$media_display = __return_true();
}

if ( $media_display ) {
	$thumbnail_size        = 'csco-extra-large-uncropped';
	$thumbnail_size_mobile = 'csco-medium-uncropped';
	?>
		<div class="cs-entry__media-large cs-entry__media-<?php echo esc_attr( $header_type ); ?> cs-video-wrap">
			<div class="cs-entry__media-inner">
				<div class="cs-entry__media-wrap cs-overlay-ratio cs-ratio-wide" data-scheme="inverse">

					<figure class="cs-overlay-background">
						<?php the_post_thumbnail( $thumbnail_size_mobile ); ?>
						<?php the_post_thumbnail( $thumbnail_size ); ?>
					</figure>

					<?php csco_breadcrumbs(); ?>

					<div class="cs-entry__media-content">
						<div class="cs-container">
							<div class="cs-entry__header cs-entry__header-overlay">

								<div class="cs-entry__header-content cs-overlay-content">
									<?php get_template_part( 'template-parts/entry/entry-header-primary-info' ); ?>
								</div>

							</div>
						</div>
					</div>

				</div>
			</div>
		</div>
	<?php
}
