<?php
/**
 * The template for displaying the hero 2 layout
 *
 * @package Swyft
 */

$args           = csco_get_hero_query_args();
$hero_post_meta = get_theme_mod( 'home_hero_meta', array( 'category', 'author', 'date' ) );

$counter           = 0;
$image_size        = 'csco-medium-uncropped';
$image_size_mobile = 'csco-thumbnail-uncropped';

?>

<section class="cs-home-hero cs-hero-type-2">
	<div class="cs-container">
		<div class="cs-hero-type-2__container">
			<?php
			$query_test = new \WP_Query( $args );

			if ( $query_test->have_posts() ) {
				while ( $query_test->have_posts() ) {
					$query_test->the_post();
					++$counter;

					if ( 1 === $counter ) {
						?>
						<article class="cs-entry cs-entry__featured" data-scheme="inverse">
							<div class="cs-entry__outer cs-entry__overlay cs-overlay-ratio cs-ratio-landscape-3-2">
								<div class="cs-entry__inner cs-entry__thumbnail">
									<div class="cs-overlay-background">
										<?php the_post_thumbnail( $image_size_mobile ); ?>
										<?php the_post_thumbnail( $image_size ); ?>
									</div>
								</div>

								<div class="cs-entry__inner cs-entry__content cs-overlay-content">

									<?php csco_get_post_meta( array( 'author', 'date', 'comments' ), true, $hero_post_meta ); ?>

									<h2 class="cs-entry__title">
										<?php echo esc_attr( get_the_title() ); ?>
									</h2>

									<div class="cs-entry__subtitle">
										<?php echo esc_attr( get_the_excerpt() ); ?>
									</div>

									<?php csco_get_post_meta( array( 'category' ), true, $hero_post_meta ); ?>

								</div>

								<a class="cs-overlay-link" href="<?php the_permalink(); ?>" title="<?php echo esc_attr( get_the_title() ); ?>"></a>
							</div>
						</article>
						<?php
					} else {
						$image_size = 'csco-thumbnail';
						?>
						<article class="cs-entry cs-entry__list">
							<div class="cs-entry__outer">
								<div class="cs-entry__inner cs-entry__thumbnail cs-entry__overlay cs-overlay-ratio">
									<div class="cs-overlay-background">
										<?php the_post_thumbnail( $image_size ); ?>
									</div>

									<a class="cs-overlay-link" href="<?php the_permalink(); ?>" title="<?php echo esc_attr( get_the_title() ); ?>"></a>
								</div>

								<div class="cs-entry__inner cs-entry__content">

									<?php csco_get_post_meta( array( 'author', 'date', 'comments' ), true, $hero_post_meta ); ?>

									<h2 class="cs-entry__title">
										<a href="<?php the_permalink(); ?>">
											<?php echo esc_attr( get_the_title() ); ?>
										</a>
									</h2>

									<?php csco_get_post_meta( array( 'category' ), true, $hero_post_meta ); ?>

								</div>
							</div>
						</article>
						<?php
					}
				}
			}
			wp_reset_postdata();
			?>
		</div>
	</div>
</section>
