<?php
/**
 * The template for displaying the hero 3 layout
 *
 * @package Swyft
 */

$args           = csco_get_hero_query_args();
$hero_post_meta = get_theme_mod( 'home_hero_meta', array( 'category', 'author', 'date' ) );

$counter           = 0;
$image_size        = 'csco-extra-large-uncropped';
$image_size_mobile = 'csco-thumbnail-uncropped';
$item_class        = 'cs-entry__featured';
$outer_class       = 'cs-ratio-landscape-5-4';
?>

<section class="cs-home-hero cs-hero-type-3" data-scheme="inverse">

	<?php
	$query_test = new \WP_Query( $args );

	if ( $query_test->have_posts() ) {
		while ( $query_test->have_posts() ) {
			$query_test->the_post();
			++$counter;

			if ( 2 === $counter ) {
				$image_size  = 'csco-extra-large-uncropped';
				$item_class  = 'cs-entry__item';
				$outer_class = 'cs-ratio-landscape-5-2';
			}

			if ( 3 === $counter || 4 === $counter ) {
				$image_size  = 'csco-thumbnail-uncropped-2x';
				$item_class  = 'cs-entry__item';
				$outer_class = 'cs-ratio-landscape-5-4';
			}

			?>
			<article class="cs-entry <?php echo esc_attr( $item_class ); ?>">

				<div class="cs-entry__outer cs-entry__overlay cs-overlay-ratio <?php echo esc_attr( $outer_class ); ?>">
					<div class="cs-entry__inner cs-entry__thumbnail">
						<div class="cs-overlay-background">
							<?php the_post_thumbnail( $image_size_mobile ); ?>
							<?php the_post_thumbnail( $image_size ); ?>
						</div>
					</div>

					<div class="cs-entry__inner cs-entry__content cs-overlay-content">

						<?php csco_get_post_meta( array( 'author', 'date', 'comments' ), true, $hero_post_meta ); ?>

						<h2 class="cs-entry__title">
							<?php echo esc_attr( get_the_title() ); ?>
						</h2>

						<?php if ( $counter < 2 ) { ?>
							<div class="cs-entry__subtitle">
								<?php echo esc_attr( get_the_excerpt() ); ?>
							</div>
						<?php } ?>

						<?php csco_get_post_meta( array( 'category' ), true, $hero_post_meta ); ?>

					</div>

					<a class="cs-overlay-link" href="<?php the_permalink(); ?>" title="<?php echo esc_attr( get_the_title() ); ?>"></a>
				</div>

			</article>
			<?php
		}
	}
	?>

</section>
