<?php
/**
 * The template part for displaying site section.
 *
 * @package Swyft
 */

$categories = get_categories( array(
	'hide_empty' => true,
	'exclude'    => array( 1 ),
	'number'     => 100,
) );

?>

<div class="cs-search-overlay"></div>

<div class="cs-search">
	<div class="cs-search__header">
		<h2><?php echo esc_attr( esc_html__( 'What are You Looking for?', 'swyft' ) ); ?></h2>

		<span class="cs-search__close" role="button" aria-label="<?php echo esc_html__( 'Close search button', 'swyft' ); ?>">
			<i class="cs-icon cs-icon-x"></i>
		</span>
	</div>

	<div class="cs-search__form-container">
		<?php get_template_part( 'searchform' ); ?>
	</div>

	<div class="cs-search__content">
		<?php if ( $categories ) { ?>
			<div class="cs-entry__post-meta">
				<div class="cs-meta-category">
					<ul class="post-categories">
						<?php foreach ( $categories as $category ) { ?>
							<li>
								<a href="<?php echo esc_url( get_category_link( $category->term_id ) ); ?>" rel="category tag">
									<?php echo esc_attr( $category->name ); ?>
								</a>
							</li>
						<?php } ?>
					</ul>
				</div>
			</div>
		<?php } ?>
	</div>
</div>
